Intelligent Assistant
Chat with our virtual assistant to get answers promptly.
Creates a reply list.
By calling the Replies.create API, your app can create a reply to a comment.
Protocol | HTTP POST |
|---|---|
Direction | Developer server -> HUAWEI Drive server |
URL | https://driveapis.cloud.huawei.com.cn/drive/v1/files/{fileId}/comments/{commentId}/replies |
Data Format | Request: Content-Type: application/json Response: Content-Type: application/json |
Parameter | Mandatory/Optional | Type | Description |
|---|---|---|---|
fileId | Mandatory | string | File ID. |
commentId | Mandatory | string | Comment ID. |
Parameter | Mandatory/Optional | Type | Description |
|---|---|---|---|
fields | Mandatory | string | Fields in the request, which are in the partial response format. For details, please refer to Overview. |
form | Optional | string | Media format. |
prettyPrint | Optional | boolean | Indicates whether to return a response in a human-readable format. |
quotaId | Optional | string | User identifier, which can contain a maximum of 40 characters. This parameter is used to restrict the maximum number of API calls for a single user. |
callback | Optional | string | Callback function used in JSONP requests. |
Request Header
Parameter | Mandatory/Optional | Type | Description |
|---|---|---|---|
Authorization | Mandatory | string | User authorization information, that is, the access token (AT). |
x-hw-trace-id | Optional | string | ID used for service tracing. |
x-hw-app-id | Optional | string | App ID. |
version | Optional | string | SDK version number. |
x-hw-terminal | Optional | string | Device model. |
x-hw-os | Optional | string | Device operating system. |
unionID | Optional | string | User's UnionID. |
User-Agent | Optional | string | App version number or app ID. |
x-hw-deviceUUID | Optional | string | UUID of the device. |
x-hw-deviceUDID | Optional | string | UDID of the device. |
x-hw-appPackageName | Optional | string | App package name. |
x-hw-network | Optional | string | Network type. The options include WiFi, 2G, 3G, 4G, 5G, and wire. |
Request Body
Parameter | Mandatory/Optional | Type | Description |
|---|---|---|---|
description | Optional | string | Reply content. |
operate | Optional | string | Operation to be performed for the comment. |
- POST https://driveapis.cloud.huawei.com.cn/drive/v1/files/AAAB9Wn0DTQCIqPbW9avGjAQo9dbxg04A/comments/BkytC_85-y5hoiLxCRnNCHZcDynNC_siY/replies?fields=* HTTP/1.1
- Accept: application/json
- Content-Type: application/x-www-form-urlencoded
- Authorization: Bearer CV3PnPLZXyr9K2GV7RYZkF962JZvoEkMQhTho3QHQAPQUyma/lEyZskP/IMWrc7FvaeHivO7y0lyibI/fQvulBnTgtXArSVPsjaLKvYNkDsJSaIR2/sx+K40bYDWWpKFvJNKg2U47jRwz2mfiF3ortNk
- Cache-Control: no-cache
- {
- "description":"HuaweiTest001",
- "operate":"reopen"
- }
When the status code is 200:
Parameter | Type | Description |
|---|---|---|
category | string | Resource type. The value is always drive#reply. |
id | string | Reply ID. |
createdTime | string | Time when the reply is created. |
editedTime | string | Last time when the reply is modified. |
creator.category | string | User type. The value is always drive#user. |
creator.displayName | string | Display name of the user. |
creator.profilePhotoLink | string | Link to the user's profile picture, which is not returned by default. |
creator.me | boolean | Indicates whether the user is the requesting user. |
creator.permissionId | string | Permission ID. |
creator.userAccount | string | Account of the user, which is not returned by default. |
htmlDescription | string | Reply content in HTML format. |
description | string | Reply content. |
deleted | boolean | Indicates whether the reply is deleted. |
operate | string | Operation to be performed for the comment. |
- {
- "creator": {
- "permissionId": "299639512454136576",
- "displayName": "*******3121@**3.com",
- "me": true,
- "category": "drive#user"
- },
- "editedTime": "2020-02-19T13:49:32.862Z",
- "operate": "reopen",
- "deleted": false,
- "createdTime": "2020-02-19T13:49:32.862Z",
- "description": "HuaweiTest001",
- "id": "BpMy9fyvWDfDM2rRKzfpNbqDkNfOnVg7w",
- "category": "drive#reply",
- "htmlDescription": "HuaweiTest001"
- }
The last four digits in the result code indicate the service error code, which is used to differentiate error scenarios. For details about other service error codes, please refer to Status Codes.
Status Code | Result Code | Response Code | Description |
|---|---|---|---|
200 | NA | - | Success. |
400 | 21004001 | LACK_OF_PARAM | Input parameter is missing. Check the parameter list. |
400 | 21004002 | PARAM_INVALID | Parameter verification failed. Check the parameter list. |
403 | 21004032 | SERVICE_NOT_SUPPORT | The service is not supported. |
403 | 21004035 | INSUFFICIENT_SCOPE | Scope verification failed. |
403 | 21004036 | INSUFFICIENT_PERMISSION | Insufficient role permission. |
500 | 21005006 | SERVER_TEMP_ERROR | Server error. |
403 | 21074033 | AGREEMENT_NOT_SIGNED | The HUAWEI Drive user agreement is not signed. Try again after the agreement is signed. |
403 | 21084031 | DATA_MIGRATINT | The security policy is being updated. Please wait until the update is complete. |
404 | 21084041 | CONTENT_NOT_FOUND | No resources found. |
500 | 21085002 | OUTER_SERVICE_UNAVAILABLE | Server error. |
500 | 21085006 | SERVER_TEMP_ERROR | Server error. |
403 | 21094038 | OUTER_SERVICE_ERROR | Server error. |
- public static void main(String[] args) throws IOException {
- // Set the request URL, file ID, comment ID, and access token.
- String url = "https://driveapis.cloud.huawei.com.cn/drive/v1/files/";
- String fileId = "AB0tr6O8DTQAguUs3yPFt3wQ5SDfLg04A";
- String commentId = "BlIuT9Ue4I8qnKGDcmf9MUZf5sCpjOCDK";
- String access_token = "CV5T547SEXpRlyuxqvz+PnRCtnVu784+OEIXmXAafKC+ifA3eJRnM0Ttsv20bJCkrcA+FNi4bU4nKcbERpQxlkMLQ6/Xt1iEQJYrFMyamnnI9JUV+jz4cQ==";
- // Create a reply to a comment.
- JSONObject replyInfo = replyCreate(url, access_token, fileId, commentId);
- System.out.println(replyInfo.toJSONString());
- }
-
- private static JSONObject replyCreate(String url, String access_token, String fileId, String commentId) throws IOException {
- StringBuilder stringBuilder = new StringBuilder("");
- stringBuilder.append(fileId).append("/").append("comments").append("/").append(commentId).append("/").append("replies");
- stringBuilder.append("?").append("fields=*");
- HttpPost httpPost = new HttpPost(url + stringBuilder);
- httpPost.setHeader("Authorization","Bearer " + access_token);
- httpPost.setHeader("Content-Type", "application/x-www-form-urlencoded");
- httpPost.setHeader("Accept", "application/json");
-
- JSONObject jsonParam = new JSONObject();
- jsonParam.put("description", "HuaweiTest001");
- jsonParam.put("operate", "reopen");
-
- StringEntity entity = new StringEntity(jsonParam.toString());
- httpPost.setEntity(entity);
-
-
- CloseableHttpResponse response = HttpClientUtil.getClient().execute(httpPost);
-
- try {
- HttpEntity responseEntity = response.getEntity();
- String ret = responseEntity != null ? EntityUtils.toString(responseEntity) : null;
- JSONObject jsonObject = (JSONObject) JSON.parse(ret);
- EntityUtils.consume(responseEntity);
- return jsonObject;
- }finally {
- response.close();
- }
- }